opam-version: "2.0"
maintainer: "contact@tezos.com"
authors: [ "Tezos devteam" ]
homepage: "https://www.tezos.com/"
bug-reports: "https://gitlab.com/tezos/tezos/issues"
dev-repo: "git+https://gitlab.com/tezos/tezos.git"
license: "MIT"
depends: [
  "tezos-tooling" { with-test }
  "ocamlfind" { build }
  "dune" { build & >= "1.7" }
  "tezos-base"
  "tezos-protocol-compiler"
]
build: [
  [ "%{tezos-protocol-compiler:lib}%/replace"
      "%{tezos-protocol-compiler:lib}%/dune_protocol.template"
      "dune" "004_Pt24m4xi" ]
  [ "dune" "build" "-p" name "-j" jobs ]
]
run-test: [
  [ "dune" "runtest" "-p" name "-j" jobs ]
]
synopsis: "Tezos/Protocol: economic-protocol definition"
